<app-navbar></app-navbar>

<div *ngIf="this.listCustomer.data.length==0" class="cargador">
  <div class="loadingio-spinner-spinner-t9lp6h0vw2e">
    <div class="ldio-magyx4e2c6q">
      <div></div>
      <div></div>
      <div></div>
      <div></div>
      <div></div>
      <div></div>
      <div></div>
      <div></div>
      <div></div>
      <div></div>
      <div></div>
      <div></div>
    </div>
  </div>
  <style type="text/css">
    @keyframes ldio-magyx4e2c6q {
      0% {
        opacity: 1
      }

      100% {
        opacity: 0
      }
    }

    .ldio-magyx4e2c6q div {
      left: 94px;
      top: 60px;
      position: absolute;
      animation: ldio-magyx4e2c6q linear 1s infinite;
      background: #ff4400;
      width: 12px;
      height: 24px;
      border-radius: 6px / 12px;
      transform-origin: 6px 52px;
    }

    .ldio-magyx4e2c6q div:nth-child(1) {
      transform: rotate(0deg);
      animation-delay: -0.9166666666666666s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(2) {
      transform: rotate(30deg);
      animation-delay: -0.8333333333333334s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(3) {
      transform: rotate(60deg);
      animation-delay: -0.75s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(4) {
      transform: rotate(90deg);
      animation-delay: -0.6666666666666666s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(5) {
      transform: rotate(120deg);
      animation-delay: -0.5833333333333334s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(6) {
      transform: rotate(150deg);
      animation-delay: -0.5s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(7) {
      transform: rotate(180deg);
      animation-delay: -0.4166666666666667s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(8) {
      transform: rotate(210deg);
      animation-delay: -0.3333333333333333s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(9) {
      transform: rotate(240deg);
      animation-delay: -0.25s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(10) {
      transform: rotate(270deg);
      animation-delay: -0.16666666666666666s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(11) {
      transform: rotate(300deg);
      animation-delay: -0.08333333333333333s;
      background: #ff4400;
    }

    .ldio-magyx4e2c6q div:nth-child(12) {
      transform: rotate(330deg);
      animation-delay: 0s;
      background: #ff4400;
    }

    .loadingio-spinner-spinner-t9lp6h0vw2e {
      width: 200px;
      height: 200px;
      display: inline-block;
      overflow: hidden;
      background: none;
    }

    .ldio-magyx4e2c6q {
      width: 100%;
      height: 100%;
      position: relative; 
      transform: translateZ(0) scale(1);
      backface-visibility: hidden;
      transform-origin: 0 0;      
      /* see note above */
    }
/*
    .ldio-magyx4e2c6q div {
      box-sizing: content-box;
    }*/

    /* generated by https://loading.io/ */
  </style>
</div>

<div *ngIf="this.listCustomer.data.length!=0">
  <mat-paginator [length]="tamanoData" [pageSize]="page_size" [pageSizeOptions]="pageSizeOptions"
    (page)="handlePage($event)" aria-label="Select page" class="paginador">
  </mat-paginator>

  <div class="containerCard">

    <div *ngFor="let cliente of listCustomer.data[0] | paginate:page_size:page_number" class="card cardCliente">
      <div class="row">
        <div class="col-md-4">
          <img src="../../assets/images/persona.jpg" class="img-fluid rounded-start" alt="...">
        </div>
        <div class="col-md-8">
          <div class="card-body">
            <h5 class="card-title">{{cliente.fullName}} </h5>
            <p class="card-text">
              <b>Documento: </b> {{cliente.documentType}} - {{cliente.document}}
              <br>
              <b>Celular: </b>{{cliente.cellphone}}
              <br>
              <b>Correo: </b>{{cliente.email}}
            </p>
            <p class="card-text">
              <button type="button" class="btn btn-danger" (click)="eliminarCliente(cliente.id)">Borrar</button>
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>